Subject: [SWIPL] I can not use system predicates after failure

From: johnw <[email-masked]>
Date: Wed, 07 Feb 2001 15:10:53 +0800

Hi, there,

I've being using SWI-Prolog, version 3.2.8, for a long time, and
recently, I've upgraded it to version 3.4.4.
Most of the "old" codes can run on version 3.4.4 smoothly,
but some are not.
My biggest problem is that some system predictes
(such as gensym/2) can not be invoked again after the failure of some
clauses.

I've tried to modified my old programs but the failure still exists.

Are there some new flags I must turn on (or off) in version 3.4.4 or
some of my codes are incompatable to the ISO standard ?

I've searched the FAQ but can find nothing to solve my peoblem.
Is there someone know how to take care of this or 
Where I can find solution?

Any help is highly appreciated.

Thanks.

Chih-Hung Wu
Department of Information Management
Shu-Te University
Kaohsiung county
Taiwan
Tel:  +886-7-6151000 ext 3010
Fax:  +886-7-6151000 ext 3099
E-mail: [email-masked]

==========================================================
 PC home �K�O�q�l�H�c�A�ӽнЦ�: http://www.pchome.com.tw 
 PC home Online �����a�x�@�@ �|���Ĥ@�A�x�W�̤j���J�f���� 
==========================================================